> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Manufacture Orders

> This endpoint list manufacture orders.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the manufacture orders.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the manufacture orders.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the manufacture orders.
</ParamField>

### Response

<ResponseField name="id" type="string">
  Unique identifier for the manufacture order
</ResponseField>

<ResponseField name="memo" type="string">
  Additional notes or information about the manufacture order
</ResponseField>

<ResponseField name="number" type="string">
  Number assigned to the manufacture order
</ResponseField>

<ResponseField name="priority" type="string">
  Priority level of the manufacture order
</ResponseField>

<ResponseField name="site" type="string">
  Site or location associated with the manufacture order
</ResponseField>

<ResponseField name="yield_location" type="string">
  Location where the manufactured product will be stored
</ResponseField>

<ResponseField name="created_on" type="datetime">
  Date and time when the manufacture order was created
</ResponseField>

<ResponseField name="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ResponseField>

<ResponseField name="issued_on" type="date">
  Date when the manufacture order was issued
</ResponseField>

<ResponseField name="manufacture_order_line_items" type="object">
  <Expandable title="Show child attributes">
    <ResponseField name="bom_name" type="string">
      Name of the bill of materials (BOM) associated with the line item
    </ResponseField>

    <ResponseField name="bom_number" type="string">
      Number assigned to the bill of materials (BOM)
    </ResponseField>

    <ResponseField name="id" type="string">
      Unique identifier for the line item
    </ResponseField>

    <ResponseField name="expected_date" type="date">
      Expected date for the completion of the line item
    </ResponseField>

    <ResponseField name="line_status" type="string">
      Status of the line item (e.g., in progress, completed, etc.)
    </ResponseField>

    <ResponseField name="line_type" type="string">
      Type or category of the line item
    </ResponseField>

    <ResponseField name="manufacture_order_number" type="string">
      Number of the associated manufacture order
    </ResponseField>

    <ResponseField name="output_type" type="string">
      Type of output produced by the line item (e.g., product, component)
    </ResponseField>

    <ResponseField name="part_name" type="string">
      Name of the part associated with the line item
    </ResponseField>

    <ResponseField name="part_number" type="string">
      Number assigned to the part associated with the line item
    </ResponseField>

    <ResponseField name="priority" type="string">
      Priority level of the line item
    </ResponseField>

    <ResponseField name="quantity" type="integer">
      Quantity of the part to be manufactured or processed
    </ResponseField>

    <ResponseField name="site" type="string">
      Site or location associated with the line item
    </ResponseField>

    <ResponseField name="work_order_number" type="string">
      Number of the associated work order
    </ResponseField>

    <ResponseField name="yield_location" type="string">
      Location of the yield of the manufacture order line item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/manufacture_orders' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
    "limit": 10,
    "offset": 0,
    "order_direction": "ASC"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    {
      "count": 1,
      "next": null,
      "previous": null,
      "results": [
          {
              "id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
              "memo": "This is a manufacture order",
              "number": "MO-0001",
              "priority": "High",
              "site": "Site 1",
              "yield_location": "Location 1",
              "created_on": "2021-01-01T00:00:00.000000Z",
              "expected_completion_date": "2021-01-01",
              "issued_on": "2021-01-01",
              "manufacture_order_line_items": [
                  {
                      "bom_name": "BOM 1",
                      "bom_number": "BOM-0001",
                      "id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
                      "expected_date": "2021-01-01",
                      "line_status": "In Progress",
                      "line_type": "Manufacture",
                      "manufacture_order_number": "MO-0001",
                      "output_type": "Product",
                      "part_name": "Part 1",
                      "part_number": "PART-0001",
                      "priority": "High",
                      "quantity": 100,
                      "site": "Site 1",
                      "work_order_number": "WO-0001",
                      "yield_location": "Location 1"
                  }
              ]
          }
      ]

    }
  }
  ```
</ResponseExample>
